//
//  ViewController.swift
//  HRToast
//
//  Created by hyq on 2017/8/11.
//  Copyright © 2017年 hyq. All rights reserved.
//

import UIKit

class ViewController: UIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        // Do any additional setup after loading the view, typically from a nib.
        
        var y = CGFloat();
        y = 50 + 10
        let btn = UIButton.init(frame: CGRect.init(x: 10, y: y, width: 50, height: 30));
        btn.backgroundColor = UIColor.black;
        btn.setTitle("提示", for: .normal)
        //btn.addTarget(self, action: @(goNext, for: touchUpInside);
        btn.addTarget(self, action: #selector(goToast), for:.touchUpInside)
        self.view.addSubview(btn);
        
        y = btn.frame.origin.y + btn.frame.size.height + 10
        let btn1 = UIButton.init(frame: CGRect.init(x: 10, y: y, width: 50, height: 30));
        btn1.backgroundColor = UIColor.black;
        btn1.setTitle("菊花", for: .normal)
        //btn.addTarget(self, action: @(goNext, for: touchUpInside);
        btn1.addTarget(self, action: #selector(goToastActivity), for:.touchUpInside)
        self.view.addSubview(btn1);
    }
    
    func goToast() {
        //文字提示
        self.view.makeToast(message: "hello")
        
        //不同位置的文字提示
        /*
        HRToastPositionDefault  =   "bottom" HRToastPositionTop      =   "top" HRToastPositionCenter   =   "center"
         */
        //self.view.makeToast(message: "hello", position: HRToastPositionTop as AnyObject)
        
        //带图片的文字提示
        //self.view.makeToast(message: "hello world", duration: 2, position: HRToastPositionCenter as AnyObject, image: UIImage.init(named: "sure")!)
    }

    func goToastActivity() {
        self.view.makeToastActivityWithMessage(message: "hello")
        
        let delay = DispatchTime.now() + .seconds(5)
        DispatchQueue.main.asyncAfter(deadline: delay) {
            self.view.hideToastActivity()
        }
    }
    
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }


}

